KMimeTypeValidator Class Reference

`#include <kstringvalidator.h>`

Inherits QValidator.

## Public Member Functions

| KMimeTypeValidator (QObject *parent, const char *name=0)
virtual State | validate (QString &input, int &pos) const
virtual void | fixup (QString &input) const

## Detailed Description

A QValidator for mime types.

This validator allows you to validate mimetype names (e.g. text/plain, image/jpeg). Note that the validation is only syntactically. It will e.g. not reject "foo/bar", although that particular mime type isn't yet registered. It suffices for the name to adhere to the production

mime-type := token "/" token ; 'token' is defined in rfc2045

The fixup will simply remove all non-token characters.

Author
  Marc Mutz mutz@.nosp@m.kde..nosp@m.org

Definition at line 119 of file kstringvalidator.h.

## Member Function Documentation

void KMimeTypeValidator::fixup | ( | QString & | input | ) | const

virtual

Removes all characters that are forbidden in mimetypes.

Definition at line 84 of file kstringvalidator.cpp.

QValidator::State KMimeTypeValidator::validate | ( | QString & | input,
|  | int & | pos
| ) |  | const

virtual

Checks for well-formed mimetype.

Returns

- Acceptable iff input ~= /^[:allowed chars:]+\/[:allowed chars:]+$/
- Intermediate iff input ~= /^[:allowed chars:]*\/?[:allowed chars:]*$/
- Invalid else

Definition at line 66 of file kstringvalidator.cpp.

The documentation for this class was generated from the following files:

- kstringvalidator.h
- kstringvalidator.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys